<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <FrameLayout
        android:id="@+id/list_skeleton"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/list_refresh"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.coordinatorlayout.widget.CoordinatorLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <com.google.android.material.appbar.AppBarLayout
                android:id="@+id/appbar"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@null"
                app:elevation="0dp"
                app:layout_behavior="com.gh.gamecenter.common.view.FixAppBarLayoutBehavior">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/recordForumsContainer"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingBottom="8dp"
                    android:visibility="gone"
                    app:layout_scrollFlags="scroll"
                    tools:visibility="visible">

                    <TextView
                        android:id="@+id/title"
                        android:layout_width="wrap_content"
                        android:layout_height="46dp"
                        android:layout_marginLeft="16dp"
                        android:drawableLeft="@drawable/ic_forum_record"
                        android:drawablePadding="4dp"
                        android:gravity="center"
                        android:includeFontPadding="false"
                        android:text="最近浏览"
                        android:textColor="@color/text_primary"
                        android:textSize="14sp"
                        android:textStyle="bold"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/recordForumsMore"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="16dp"
                        android:drawableRight="@drawable/ic_forum_more"
                        android:drawablePadding="4dp"
                        android:includeFontPadding="false"
                        android:text="更多论坛"
                        android:textColor="@color/community_forum_more"
                        android:textSize="12sp"
                        android:textStyle="bold"
                        app:layout_constraintBottom_toBottomOf="@+id/title"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/title" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/recordForumsRv"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/title" />
                </androidx.constraintlayout.widget.ConstraintLayout>
            </com.google.android.material.appbar.AppBarLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/list_rv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:overScrollMode="never"
                app:layout_behavior="com.google.android.material.appbar.AppBarLayout$ScrollingViewBehavior" />
        </androidx.coordinatorlayout.widget.CoordinatorLayout>
    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    <include
        layout="@layout/reuse_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true" />

    <include layout="@layout/reuse_no_connection" />

    <include layout="@layout/reuse_none_data" />

    <include layout="@layout/reuse_data_exception" />

</RelativeLayout>